[POST] .../v1/account/get
Returns account information. Use this method to retrieve financial accounts for payment documents, account movement workflows and reference selection lists. The response returns paged Account records with next_offset and total and supports filters, sort_orders, search, limit and offset for account id, currency, code, name and update-date selection. The caller must have account select permission; a missing request body, denied access, invalid filters or sorting and persistent storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
| limit | Int32 | Optional | Maximum number of records to return. Default value is 10000. Maximum value is 10000. |
| offset | Int32 | Optional | Offset from the beginning of the result set. |
| search | String | Optional | Search string for the name field. |
| sort_orders | Array of AccountSortOrder | Optional | Output data sorting. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| code | string | |
| currency_id | int | Currency IDs. |
| id | int | Accounts IDs. |
| last_update | int | |
| name | string |
Sortable Fields
| Field |
|---|
| Code |
| CurrencyName |
| Id |
| LastUpdate |
| Name |
Request Example
{
"filters": [
{
"Field": "code",
"Operator": "Equal",
"Value": "string"
}
],
"limit": 1,
"offset": 1,
"search": "string",
"sort_orders": [
{
"column": "Id",
"direction": "ASC"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Account | Result array. |
| total | Int64 | Total number of result items. |
Response Example
{
"next_offset": 1,
"ok": true,
"result": [
{
"code": "string",
"currency": {
"code_chr": "string",
"code_num": 1,
"deleted": true,
"exchange_rate": 1.0,
"id": 1,
"is_base": true,
"last_update": 1,
"name": "string"
},
"id": 1,
"last_update": 1,
"name": "string"
}
],
"total": 1
}